---
- name: Configure FRR daemons file
  template:
    src: daemons.j2
    dest: /etc/frr/daemons
  notify:
    - enable frr
    - restart frr

  tags:
    - interface_setup

- name: Configure FRR
  template:
    src: "{{switch_role}}_frr.conf.j2"
    dest: /etc/frr/frr.conf
    validate: vtysh -f %s --dryrun
  notify:
    - reload frr

- meta: flush_handlers
